### Constructor

# PapersDocument TransitionEffect new

#### Declaration [src]

    PpsTransitionEffect*
    pps_transition_effect_new (
      PpsTransitionEffectType type,
      const gchar* first_property_name,
      ...
    )

#### Description

No description available.

This constructor is not directly available to language bindings.

#### Parameters

`type`

  Type: `PpsTransitionEffectType`

  No description available.

`first_property_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.

#### Return value

Type: `PpsTransitionEffect`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.